import { __assign, __rest } from "tslib";
// @ts-nochecks
import './Header.css';
import React from 'react';
import { cn } from '../../utils/bem';
export var cnHeader = cn('Header');
export function Header(props) {
    var leftSide = props.leftSide, rightSide = props.rightSide, className = props.className, hovered = props.hovered, _a = props.fixed, fixed = _a === void 0 ? true : _a, scrolling = props.scrolling, openMobileMenu = props.openMobileMenu, inverted = props.inverted, otherProps = __rest(props, ["leftSide", "rightSide", "className", "hovered", "fixed", "scrolling", "openMobileMenu", "inverted"]);
    return (React.createElement("header", __assign({}, otherProps, { className: cnHeader({ hovered: hovered, fixed: fixed, scrolling: scrolling, openMobileMenu: openMobileMenu, inverted: inverted }, [className]) }),
        React.createElement("div", { className: "container" },
            leftSide && React.createElement("div", { className: cnHeader('LeftSide') }, leftSide),
            rightSide && React.createElement("div", { className: cnHeader('RightSide') }, rightSide))));
}
export { HeaderLogo } from './Logo/HeaderLogo';
export { HeaderMenu } from './Menu/HeaderMenu';
export { HeaderMenuMobile } from './Menu/HeaderMenuMobile';
export { HeaderModule } from './Module/HeaderModule';
